Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 562480 (wxwidgets-3.0) - [TRACKER] Migrate from x11-libs/wxGTK:2.8 to :3.0 and dev-python/wxpython:2.8 to :3.0
Summary: [TRACKER] Migrate from x11-libs/wxGTK:2.8 to :3.0 and dev-python/wxpython:2.8...
Status: RESOLVED FIXED
Alias: wxwidgets-3.0
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords: Tracker
Depends on: 313923 368257 457150 465084 530004 542790 547930 555984 560768 561952 562482 562484 562486 562998 563322 563328 563330 563332 563334 563336 563340 563348 563432 563942 563944 563952 563960 563962 563964 563966 563968 563970 563972 564046 564050 564052 564056 564068 564080 564082 564088 564090 564092 564094 564098 564100 564102 564104 564106 564110 575270 575716 584024 584032 584124 584170 597194 600986 601084 601088 601092 601094 601176 601178 601182 601184 601190 601192 601196 605268 622054 625192 625194 625198 625200 636260 643494 656786
Blocks: 629208 661284
  Show dependency tree
 
Reported: 2015-10-07 13:48 UTC by Pacho Ramos
Modified: 2018-07-16 00:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wxwidgets.eclass.debug.patch (wxwidgets.eclass.debug.patch,1.58 KB, patch)
2015-10-21 17:50 UTC, Ryan Hill (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2015-10-07 13:48:11 UTC
I have seen Debian is pushing this migration a lot, providing patches (and wide testing) for the reverse deps. Maybe we could try to follow them:
https://wiki.debian.org/Teams/WxWidgets/Transition2.8to3.0
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2015-10-18 02:54:43 UTC
This is a good idea, thanks for doing it.  Let me know if you come across any packages that require the GTK3 version of wxGTK.  We don't provide it yet but I started working on it last weekend.
Comment 2 Pacho Ramos gentoo-dev 2015-10-18 07:40:16 UTC
For now all packages I have tested look to work ok with gtk2. The main blocker I have seen is the one involving debugging (bug #563348) as it blocks me from updating a lot of packages because they start to show that error windows (even if after clicking on "Continue" button they work anyway)

Then, if you could help me with the .eclass part for solving this, it would be highly welcome :)

Per your suggestion I guess we would need something like:
in_iuse debug && use debug || append-cppflags -DNDEBUG
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2015-10-21 17:50:21 UTC
Created attachment 415112 [details, diff]
wxwidgets.eclass.debug.patch

One complication - we can't run that in global scope so ebuilds will have to use need-wxwidgets for this to work.  It looks like I'm going to need to get rid of the global scope code anyways for gtk-3 so this is a step in the right direction.

Just adding "need-wxwidgets unicode" to src_prepare of the package should be enough.  Let's just do the ones you actually see assertion pop-ups on and those listed on the Debian page for now.

I'm going to test this patch a bit before committing.
Comment 5 Pacho Ramos gentoo-dev 2015-10-25 17:49:42 UTC
OK, full tree checked, I have committed the stuff I have been able to test and open bug reports with the stuff that will need more help for getting them fixed (or treecleaned... as some are related with really old stuff that were killed in other distributions)
Comment 6 Larry the Git Cow gentoo-dev 2018-07-16 00:11:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea6a59000b056f2193380ded3f216d3c84ca242b

commit ea6a59000b056f2193380ded3f216d3c84ca242b
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2018-07-16 00:09:31 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2018-07-16 00:10:24 +0000

    profiles: Last rite wxGTK:2.8 and wxpython:2.8
    
    Bug: https://bugs.gentoo.org/661284
    Closes: https://bugs.gentoo.org/562480

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)